Bug 450864 - C++ Tutorial should use examples installed by qpidc-devel rather than packaging separately.
C++ Tutorial should use examples installed by qpidc-devel rather than packagi...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Robie
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 10:23 EDT by Alan Conway
Modified: 2013-08-05 20:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 14:28:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-06-11 10:23:14 EDT
Description of problem:

The C++ examples are packaged twice, once by qpidc-devel and again in rhm-docs. 

The examples should be packaged/installed only by qpidc-devel, to ensure
consistent versioning with the rest of qpidc-devel. rhm-docs should delcare a
dependency on qpidc-devel and use the example source installed by qpidc-devel.
Comment 1 Jonathan Robie 2008-06-11 13:38:51 EDT
Too late to even think about for this release.

And I'm not sure this is the right way to go. The documentation is based on the
examples, so we want the examples to be installed if the documentation is
installed. It wouldn't be right to make the documentation package depend on the
client packages for each language.

The original decision was to ship the examples only with the documentation RPM.
Is it confusing to ship the same examples with two different RPMs?
Comment 2 Jonathan Robie 2008-11-05 14:28:42 EST
We have decided that the examples go in rhm-docs.

Jonathan

Note You need to log in before you can comment on or make changes to this bug.